Get Certificate

/user/certificate/get

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Get user latest active certificate in Evrotrust profile, to be used for hash signing.

Valid values:

ParameterValue
"user"Has to be provided one of the user's identifiers:
  • "identificationNumber" and "country" for manual signing;
  • "email" for manual signing;
  • "phone" for manual signing;

    "identificationNumber": Personal identification number.
    "country": Optional with default value "BG". Valid values are the ISO 3166-1 alpha-2 codes.
    "email": email address
    "phone": format "+[0-9]"
"type""integer"
valid values 1 - Qualified еSign (qualified certificate); 2 - Advanced eSign (qualified certificate)
"vendorNumber""string"
"coverage"For "certificateType"=1 valid values are: 0, 2000, 20000, 100000, 250000.
For "certificateType"=2 valid value is 500

The amount is in €.
0 stands for unlimited.
"isPidIncluded"Always set on "false".
"true" means that user should issue certificate with personal identification number included in it. Used only in cases where specific compliance requirements are applied.

Returned response:

{"serialNumber":"string", "type": 0, "certificate":"string", "coverage": 0, "dateValidTo": 0}

"serialNumber" - serial number of user certificate

"type" - same type value, as the one in your init request

"certificate" - the certificate of the user

"coverage" - same coverage value, as the one in your init request

"dateValidTo" - timestamp


Body Params
string
required

{
"vendorNumber":"string",
"user": {
"identificationNumber":"string",
"country":"string",
"email":"string",
"phone":"string"
},
"certificate": {
"coverage": 0,
"isPidIncluded": true,
"type": 0
}
}

Headers
string
required

Authorization value.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json